function [dim,d,nq,nme]=getMeshDims(q,me,varargin)
  p = inputParser;
  p.addParamValue('type','simplicial');
  p.parse(varargin{:});
  R=p.Results;
  if strcmp(R.type,'simplicial')
    [dim,nq]=size(q);
    assert( ismember(dim,1:3),'Dimension error , found dim=%d\n',dim)
    nme=size(me,2);
    d=size(me,1)-1;
    assert( ismember(d,0:dim),'Simplicial dimension error , found d=%d\n',d)
  else
    error('Unknow type ''%s''',R.type)
  end  
end